> ## Documentation Index
> Fetch the complete documentation index at: https://docs.goteal.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update client configuration

> Partial updates supported; omitted fields preserve their existing values.



## OpenAPI

````yaml PATCH /configuration
openapi: 3.0.1
info:
  title: Payroll API
  description: A full flagged payroll api provided by Teal
  version: 1.0.0
servers:
  - url: https://api.sandbox.goteal.co
    description: Sandbox server for experiments
  - url: https://api.goteal.co
    description: Production server
security:
  - ApiKeyAuth: []
  - MemberBearerAuth: []
paths:
  /configuration:
    patch:
      summary: Updates the client configuration
      description: >-
        Partial updates supported; omitted fields preserve their existing
        values.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ClientConfiguration'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientConfiguration'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/UnauthorizedApiKey'
components:
  schemas:
    ClientConfiguration:
      type: object
      properties:
        payslip_upload_enabled:
          type: boolean
          description: >-
            Determines if payslip upload via documents is allowed as a fallback
            if there is not connection to payroll providers
          example: true
        payroll_period_months:
          type: integer
          format: int32
          description: Lookback period of the payroll to search on account creation
          example: 24
        client_logo:
          type: string
          description: Client logo asset or URL
          example: image.png
        client_callback_url:
          type: string
          description: >-
            Callback URL for client application. This will be redirected to once
            the user completes their journey on Teal's platform
          example: https://app.client.com/callback
        recurring_checks_enabled:
          type: boolean
          description: Determines if recurring checks are enabled client-wide
          example: true
        recurring_check_frequency:
          type: string
          description: >-
            Frequency of the recurring check for the client. Available
            frequencies in production are [WEEKLY, MONTHLY]. Sandbox allows
            HOURLY frequency in addition.
          example: WEEKLY
        recurring_check_end_date:
          $ref: '#/components/schemas/Date'
          description: End date of the recurring check schedule client-wide
        payroll_connections_enabled:
          type: boolean
          description: >-
            Determines if payroll connections feature is enabled for this
            client. When disabled, the payroll connections endpoint will return
            an error.
          example: true
        client_display_name:
          type: string
          nullable: true
          description: >-
            Editable display name for the client. This can be customized and is
            separate from the internal client name.
          example: Acme Corporation
    Date:
      type: string
      format: date-time
      example: '2019-05-17T00:00:00.000Z'
    Error:
      required:
        - errors
      type: object
      properties:
        errors:
          type: array
          items:
            type: string
          description: An array of messages describing the errors
          example:
            - The request is missing the required field `name`
    Unauthorized:
      type: object
      properties:
        errors:
          type: string
          description: An array of messages describing the errors
          example:
            - No X-API-KEY header provided or wrong value
  responses:
    BadRequest:
      description: Bad request if one of the required parameters is missing
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    UnauthorizedApiKey:
      description: Unauthorized if the X-API-KEY is not provided or is wrong
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Unauthorized'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
    MemberBearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer token for authentication. The token should be the one returned by
        the "/members/signin"

````